Install depthsensegrabber module

classic Classic list List threaded Threaded
2 messages Options
stl
Reply | Threaded
Open this post in threaded view
|

Install depthsensegrabber module

stl
Hi,

I am new to PCL and to CMake, so I hope I do not ask to obvious questions. But I have been struggeling for a couple of days now so I hope I can find some answers here.
For a project I am using the Softkinetic depthsense ds325 and I need to extract a video sequence that I can work with during the project. So I am trying to use the depthsense camera within PCL. According to this tutorial, it is necessary to have PCL 1.8 installed. Because I had problems compiling it myself through CMake, I used te all-in-one installer I found here with vs 2015. Now it seems like this installer does not include the depthsensegrabber. My question is now if it is possible to pull the depthsensegrabber code from Git and include it to the already installed PCL on my computer? And how do I have to do this (installing it, I now how to pull code)?

Thank you for your help!
Reply | Threaded
Open this post in threaded view
|

Re: Install depthsensegrabber module

VictorLamoine
Administrator
Hello,

You could include the relevant classes to your project (copying PCL source code), this should work but is not ideal.

https://github.com/PointCloudLibrary/pcl/blob/master/io/src/depth_sense_grabber.cpp
https://github.com/PointCloudLibrary/pcl/blob/master/io/include/pcl/io/depth_sense_grabber.h
https://github.com/PointCloudLibrary/pcl/blob/master/io/CMakeLists.txt#L142-L149

The best would be to try to compile again, open a topic on the mailing list and ask for help on the errors if you are not able to solve them by yourself.

Bye